{
	"name": "web",
	"private": true,
	"version": "0.0.0",
	"type": "module",
	"scripts": {
		"dev": "vite",
		"build": "tsc && vite build",
		"lint": "eslint . --ext ts,tsx --report-unused-disable-directives --max-warnings 0",
		"preview": "vite preview",
		"codegen": "graphql-codegen --config codegen.ts",
		"prepare": "husky install"
	},
	"dependencies": {
		"@apollo/client": "^3.8.7",
		"@emotion/react": "^11.11.1",
		"@emotion/styled": "^11.11.0",
		"@fontsource/roboto": "^5.0.8",
		"@mui/icons-material": "^5.14.18",
		"@mui/lab": "^5.0.0-alpha.153",
		"@mui/material": "^5.14.18",
		"@mui/styled-engine-sc": "^6.0.0-alpha.6",
		"@mui/x-data-grid": "^6.18.1",
		"@mui/x-date-pickers": "^6.18.2",
		"graphql": "^16.8.1",
		"moment": "^2.29.4",
		"mui-file-input": "^4.0.2",
		"prettier-plugin-sort-imports": "^1.7.2",
		"react": "^18.2.0",
		"react-dom": "^18.2.0",
		"react-hook-form": "^7.48.2",
		"react-router-dom": "^6.19.0",
		"react-toastify": "^9.1.3",
		"styled-components": "^6.1.1",
		"zustand": "^4.4.6"
	},
	"devDependencies": {
		"@graphql-codegen/cli": "5.0.0",
		"@graphql-codegen/client-preset": "4.1.0",
		"@graphql-codegen/typescript-operations": "^4.0.1",
		"@graphql-codegen/typescript-react-apollo": "^4.1.0",
		"@trivago/prettier-plugin-sort-imports": "^4.3.0",
		"@types/react": "^18.2.15",
		"@types/react-dom": "^18.2.7",
		"@typescript-eslint/eslint-plugin": "^6.0.0",
		"@typescript-eslint/parser": "^6.0.0",
		"@vitejs/plugin-react": "^4.0.3",
		"dotenv": "^16.3.1",
		"eslint": "^8.45.0",
		"eslint-config-prettier": "^9.1.0",
		"eslint-plugin-prettier": "^5.0.1",
		"eslint-plugin-react-hooks": "^4.6.0",
		"eslint-plugin-react-refresh": "^0.4.3",
		"husky": "^8.0.3",
		"prettier": "^3.1.0",
		"typescript": "^5.0.2",
		"vite": "^4.4.5"
	}
}
